org.apache.cassandra.metrics

## Class StorageMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.StorageMetrics

    public class StorageMetrics
    extends java.lang.Object

Metrics related to Storage.

### Field Summary

Fields
`static com.codahale.metrics.Counter` `exceptions`
`static com.codahale.metrics.Counter` `load`
`static com.codahale.metrics.Counter` `totalHints`
`static com.codahale.metrics.Counter` `totalHintsInProgress`

### Constructor Summary

Constructors
Constructor and Description
`StorageMetrics()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### load

    public static final com.codahale.metrics.Counter load

#### exceptions

    public static final com.codahale.metrics.Counter exceptions

#### totalHintsInProgress

    public static final com.codahale.metrics.Counter totalHintsInProgress

#### totalHints

    public static final com.codahale.metrics.Counter totalHints

### Constructor Detail

#### StorageMetrics

    public StorageMetrics()